// 获取link 中页面地址(link兼容 有object或者string)
export function getUrlofLink(data) {
    return data.link
}

// 全局跳转
export function $themeToLink(data) {
    let app = getApp()
    let footerVal = app.globalData.footerVal.componentData.list;
    console.log('393939', footerVal)

    let type = data.type;
    if (type == undefined || type == 'undefined') {
        if (data.length > 0) {
            //   this.$nuxt.$router.push(data);
        }
        return
    }
    // 底部导航跳转
    let parseLink=getUrlofLink(data)
    let isFooter = footerVal.findIndex(item => {
        return item.link.link == parseLink
    })
    if (isFooter>-1) {
        wx.switchTab({
            url: parseLink=='/'?'/pages/home/main':`/pages/tabBar${isFooter}/main`,
        })
        return
    }


    // -----------------
    if (type == 0) {//无链接
        return
    } else if (type == 1) {//h5页面
        //兼容
        if (data.link.substring(0, 1) == "/") {
            // this.$nuxt.$router.push(data.link);
            toPage(data.link)
        } else {
            if (data.link.startsWith('http') || data.link.startsWith('https')) {
                // if (this.$store.state.miniProgram == 1 || this.$store.state.miniProgram == 2) {
                wx.miniProgram.navigateTo({ url: '/pages/wxArticle/main?link=' + encodeURIComponent(data.link) });
                // } else {
                //     window.location = data.link
                // }
            } else {
                window.location.href = data.link;
            }
        }
    } else if (type == 1.1) {//小程序页面  可能增加登录态拦截
        if (this.$store.state.miniProgram == 1 || this.$store.state.miniProgram == 2) {
            wx.miniProgram.navigateTo({ url: data.link });
        } else {
            // Toast("暂不支持");
        }

    } else if (type == 1.2) { //第三方链接
        if (data.link == 'outerChain:businessCenter') {
            // 进入商家中心外链
            let url = `${config.GUIDE_URL}/login?mixid=${this.$nuxt.$route.query.mixid}&back=${encodeURIComponent(window.location.href)}`;
            window.location.href = url;
            return
        }
        if (data.link.substring(0, 1) == "/") {
            // this.$nuxt.$router.push(data.link);
            toPage(data.link)
        } else {
            if (this.$store.state.miniProgram == 1 || this.$store.state.miniProgram == 2) {
                $mp.miniProgram.navigateTo({ url: '/pages/wxArticle/main?link=' + encodeURIComponent(data.link) });
            } else {
                window.location.href = data.link
            }
        }
    } else if (type == 2) {//功能
        let featureType = data.feature.type;
        if (featureType == 'themeCouponClick' || featureType == 0) {//优惠券
            this.$themeCouponClick(data.feature.value.couponCode, data.feature.value);
        } else if (featureType == 1) {//分享
            console.log('是分享了。。。。', cb);
            // if (data.type == 2 && data.feature.type == 1) {
            //     //分享
            //     this.$nuxt.$SHARE({
            //         itemList: data.feature.value
            //     });
            // }
        } else if (featureType == "themeMemberCardClick" || featureType == 2) { //会员卡
            // this.$themeMemberCardClick(data.feature.value);
        }
    } else if (type == 3) { //小程序跳转到小程序
        // if (this.$store.state.miniProgram == 1 || this.$store.state.miniProgram == 2) {
        //     if (this.$store.getters['sceneModule/flushbonadingVisible']) {
        //         $mp.miniProgram.navigateTo({
        //             url: `/pages/toMini/toMini?weappPage=${encodeURIComponent(data.link)}&weappAppId=${data.name}`,
        //         })
        //         return
        //     }
        //     $mp.miniProgram.navigateTo({
        //         url: `/pages/toMini/main?weappPage=${encodeURIComponent(data.link)}&weappAppId=${data.name}`,
        //     })
        // } else {
        //     Toast("暂不支持");
        // }
    } else {
        //向后兼容
        if (data.length > 0) {
            this.$nuxt.$router.push(data.link);
        }
    }
}

function toPage(backPath, backParams) {
    wx.navigateTo({
        url: `../index/main?from=home&backpath=${backPath}&params=${encodeURIComponent(backParams)}`
    });
}

// check url是否为底部栏配置项